<?xml version="1.0" encoding="UTF-8"?>
<FindBugsFilter>
    <Match>
        <!-- We ignore this because all our entities are mapped by Spring Boot magic to Json -->
        <Class name="~.*Controller.*" />
        <Bug pattern="ENTITY_LEAK"/> <!-- ENTITY_LEAK = Unexpected property could be leaked because a persistence class is directly exposed to the client -->
    </Match>
    <Match>
        <!-- We ignore this in the monolith because we want to make the online quote konfigurable and do not want
             the entity Kontingent to be under Spring control. -->
        <Class name="de.accso.flexinale.util.Config" />
    </Match>
</FindBugsFilter>